Robotics Systems Types - Tasks #1272

Document whether entries of rst.timing.Point2DTimeseries have to be sorted according to
entry[i].timestamp.time

11/30/2012 01:03 AM - J. Moringen

Status: Resolved Start date: 11/30/2012
Priority: Normal Due date:

Assignee: A. Swadzba % Done: 100%
Category: documentation Estimated time: 0.00 hour
Target version: rsb-0.9

Description

Associated revisions

Revision ba3913c1 - 11/30/2012 06:24 PM - J. Moringen
Added constraint in proto/sandbox/rst/timing/Point2DTimeseries.proto
refs #1272
- proto/sandbox/rst/timing/Point2DTimeseries.proto: added sorting
constraint on entry field; mention in documentation string that the
list is sorted
Revision 572fdbb2 - 11/30/2012 06:45 PM - A. Swadzba
Mention ordering constraint in proto/sandbox/rst/timing/Point2DTimeseries.proto
fixes #1272
- proto/sandbox/rst/timing/Point2DTimeseries.proto: in message
documentation string, mention that entries have to be sorted

according to their timestamps

Signed-off-by: Jan Moringen <jmoringe@techfak.uni-bielefeld.de>

History

#1 - 11/30/2012 11:06 AM - A. Swadzba
- % Done changed from 0 to 80

Die Anderung habe ich im rst-0.7-flexirob branch gemacht und committed. Ich kann es aber nicht pushen:
git push

Username for 'https://code.cor-lab.de': aswadzba

Password for 'https://aswadzba@code.cor-lab.de'":

fatal: Authentication failed

#2 - 11/30/2012 11:59 AM - J. Wienke

Wir haben entsprechend https://code.cor-lab.org/news/29 die Schreibberechtigungen reduziert. Du kannst einen Patch hier anhangen.
#3 - 11/30/2012 01:51 PM - A. Swadzba

Wie erzeuge ich einen patch?

#4 - 11/30/2012 01:56 PM - J. Wienke

Ist hier beschrieben:

http://docs.cor-lab.de/rst-manual/trunk/html/developer-tutorial.html#adding-new-data-types

Allerdings musst du ihn nicht gegen origin/0.8 sondern gegen origin/flexirob-0.7 erstellen.

#5 - 11/30/2012 02:05 PM - A. Swadzba
- File 0001-issue-1272.patch added

Patch aus 0.7-flexirob.

#6 - 11/30/2012 02:05 PM - A. Swadzba

- % Done changed from 80 to 100

#7 - 11/30/2012 06:46 PM - A. Swadzba

- Status changed from New to Resolved

Applied in changeset rst-proto|jcommit:572fdbb240e27c0c137727f6c556584587a0a03b.

Files

0001-issue-1272.patch 985 Bytes 11/30/2012 A. Swadzba

04/19/2024 22


http://docs.cor-lab.de/rst-manual/trunk/html/developer-tutorial.html#adding-new-data-types

